version: '3.9'
services:
  mysql:
    container_name: mysql
    platform: linux/x86_64
    image: mysql:5.7
    restart: always
    environment:
      MYSQL_DATABASE: ontrack_whatsapp_bot
      MYSQL_USER: OnTrackDev
      MYSQL_PASSWORD: a93EGapaC3fRmNBz
      MYSQL_ROOT_PASSWORD: a93EGapaC3fRmNBz
    ports:
      - '3306:3306'
    volumes:
      - mysql-data:/var/lib/mysql
      - ./scripts/create_tables.sql:/docker-entrypoint-initdb.d/create_tables.sql
      - ./scripts/fill_tables.sql:/docker-entrypoint-initdb.d/fill_tables.sql
volumes:
  mysql-data: